Subject: Re: :Re: Find not working w/ Samba drive
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 13 Apr 2006 11:04:56 +0200

On Apr 13 04:29, rowol wrote:
> I tried compiling that program, but got the error message:
> 
>    C:\tmp>gcc -o stest samba.test.c
>    samba.test.c: In function `main':
>    samba.test.c:32: error: structure has no member named `d_ino'
> 
>    C:\tmp>gcc --version
>    gcc (GCC) 3.4.4 (cygming special) (gdc 0.12, using dmd 0.125)
>    Copyright (C) 2004 Free Software Foundation, Inc.
> 
> 
> When I look at sys/dirent.h, instead of having a d_ino member, the dirent
> structure's got an "__invalid_d_ino" member.... (?) with the note /* DO
> NOT USE: No longer available since cygwin 1.5.19 */
> 
> Corrinna, if you can tell me how you'd like me to change your program so I
> can compile it, I can run it on my older Samba share.

Use a recent Cygwin snapshot from http://cygwin.com/snapshots/
It reenables d_ino.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/